swLapseRate {oce} | R Documentation

## Seawater lapse rate

### Description

Compute adiabatic lapse rate

### Usage

    swLapseRate(salinity, temperature=NULL, pressure=NULL,
        longitude=300, latitude=30, eos=getOption("oceEOS", default="gsw"))

### Arguments

`salinity` | either salinity [PSU] (in which case `temperature` and `pressure` must be provided) or a `ctd` object (in which case `salinity`, `temperature` and `pressure` are determined from the object, and must not be provided in the argument list).
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale; see “Temperature units” in the documentation for `swRho`.
`pressure` | pressure [dbar]
`longitude` | longitude of observation (only used if `eos="gsw"`; see ‘Details’).
`latitude` | latitude of observation (only used if `eos="gsw"`; see ‘Details’).
`eos` | equation of state, either `"unesco"` [1,2] or `"gsw"` [3,4].

### Details

If the first argument is a `ctd` object, then salinity, etc. are extracted from it, and used for the calculation.

If `eos="unesco"`, the density is calculated using the UNESCO equation of state for seawater [1,2], and if `eos="gsw"`, the GSW formulation [3,4] is used.

### Value

Lapse rate [degC/m].

### Author(s)

Dan Kelley

### References

Fofonoff, P. and R. C. Millard Jr, 1983. Algorithms for computation of fundamental properties of seawater. Unesco Technical Papers in Marine Science, 44, 53 pp. (Section 7, pages 38-40)

### Examples

     lr <- swLapseRate(40, 40, 10000) # 3.255976e-4

[Package oce version 0.9-18 Index]